import { default as React } from 'react';

export type SiteDeploySurfaceProps = {
    /**
     * Content to render within the element.
     */
    children?: React.ReactNode | undefined;
    /**
     * A class property to attach to the element.
     *
     * @see {@link !Element.className}
     */
    className?: string | undefined;
};
/**
 * A container element used to render the Site Deploy page surface. This component
 * will take care of styling your component so it looks good in the ** Deploys > [your site deploy page]**
 * section of the Netlify UI.
 *
 * <!-- TODO(calebbarnes): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.SiteDeploy
 * @example
 * ```tsx
 * import { SiteDeploySurface } from "@netlify/sdk/react/components";
 *
 * <SiteDeploySurface>
 *   <div>Your surface content goes here</div>
 * </SiteDeploySurface>
 * ```
 */
export declare const SiteDeploySurface: ({ className, children, ...otherProps }: SiteDeploySurfaceProps) => React.JSX.Element;
//# sourceMappingURL=SiteDeploySurface.d.ts.map