import "@netlify/sdk--ui-core";
import { useContext } from "react";
import { NetlifySDKContext } from "./NetlifySDKProvider.js";
const useNetlifySDK = () => {
  const { sdk } = useContext(NetlifySDKContext);
  if (sdk === null) {
    throw new Error(
      "The Netlify SDK is not loaded. Make sure you're calling `useNetlifySDK` from within a `NetlifySDKProvider`."
    );
  }
  return sdk;
};
export {
  useNetlifySDK
};
//# sourceMappingURL=use_netlify_sdk.js.map
